Encrypt API for Retrieving Customer Record

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Encrypt API request parameters varies based on the API with which it is used for. This section describes the Encrypt API used with Retrieve Custoner Record API

Sandboxpayusandbox-kong.pc.enstage-sas.com/api/v2/encrypt
ProductionContact your WIBMO KAM or support.
Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/api/v2/encrypt \
     --header 'content-type: application/json' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
--data '
{
  "messageCode": 1930,
  "clientTxnId": "Register_20240408101003",
  "requestDateTime": "20240408101000",
  "customerMobile": "9990099999",
  "customerId": "000000000081",
  "urn": "5",
  "emailId": "[email protected]"
}
'
Sample response
{
  "token": "e3ln1sSCTF9rgy9AjN5QNAkJruloChEdm7C39FVnfczb5gfIGv/Vg6iSM0ZmzgSwF64Z7yRQ8C+jmDZEUC2rmuM9CCqk5qMQD/AUI7IrXMnSZFV1rEhbGRMJVg0MGxbAa+7+N+Ea1HZk72TlSxUbZsSeRHedWZ+3GsiqU42TRYwQNl5crWPKxtpXRpv9LudcLo56rL5xtHGrNyIzown1d2ah3Lvo4LAQg+6gEyopi+qt6Fl11MJINPAA50OZ5bUkKz8IZq4lTVEMiF7t4BaSpXjv0/FLDG2C4vGtzqU10lyWd2KC+/SZjIpVLQuP7iIk"
}
Error codes
Error CodeDescription
1262CLIENT ID NOT PRESENT IN THE REQUEST
1264BANK ID NOT PRESENT IN THE REQUEST
1310XCONSUMERKEY NOT PRESENT IN REQUEST
1311SECURE CODE NOT PRESENT IN REQUEST

Request parameters

Body Params
const
enum
required

This parameter must include the API Unique Identifier. Include 1930 for this API.

Allowed:
string
required

This parameter must include an unique ID generated by the calling application for each API request.

string
required

This parameter must contain the request date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format.

string

This parameter must contain the customer unique reference number.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!